Subject: bug#22571: Acknowledgement (Guix on Debian Testing sbcl package needs warning to set SBCL_HOME)

From: Christopher W Carpenter <[email-masked]>
Date: Tue, 09 Feb 2016 19:57:11 -0600

I found the problem, and this can be closed IMHO.

I use StumpWM, which is written in common lisp and I use sbcl to run it.
It appears that when the stumpwm image is created the SBCL_HOME
environment variable's state at that time is stored. In addition, for
whatever reason, any processes started from stumpwm will have a
SBCL_HOME environment variable with that same value.

Therefore, my issue was that my stumpwm that was starting my
processes(and the processess themselves)
had an old, incorrect value for SBCL_HOME which would then cause this
error.

Interesting "bug" to find! Thanks for the help!

Christopher Carpenter